--  ========================================================================
--
--  FILE: interfacetables.lua
--
--  SERVICES: Interface tables
--
--  ========================================================================
--  ========================================================================
--
--               Copyright  1999-2006 QUALCOMM Incorporated
--                     All Rights Reserved.
--                   QUALCOMM Proprietary/GTDR
--
--  ========================================================================
--  ========================================================================

--This table is created when user sets the zip code for the first time also
--check if the table is existing then dont create it as user may change the
--zipCode after setting it once.
--Status is updated on receiving the response back from fetch of the register request.
--intefaceConfigTable = {
--	["zipcode"] = "92069",
--	["status"]  = "200OK",
--}

	
--This table is created when TrigML request for a category count.
--interfaceCatTable = 
--{
--
--	["0"] = "Sports",
--	["1"] = "Health & Wellness",
--	["2"] = "ShowBiz",
--	["3"] = "Features",
--	["4"] = "Entertainement",
--}

--This table is created when user sets the category.
interfaceStoryTable = 
{
	["0"] = "D8E3PN6G3",
	["1"] = "D8E13PN6G3",
	["2"] = "D8E23PN6G3",
	["3"] = "D8E33PN6G3",
}


--This table is created when TrigML requests for a number of cities
--interfaceCitiesTable = 
--{
--	["0"] = "1234",
--	["1"] = "5678",
--	["2"] = "1235",
--	["3"] = "5679",
--	["4"] = "1213",
--	["5"] = "1214",
--	["6"] = "1215",
--}

--Weather Alerts
--This table is a mapping of weather.alerts table for all the non-viewed alerts
--and its created when TrigML requests for Alert Count

--interfaceAlertsTable and interfaceAlertByCity is created together
--=============================================================
--This table is also updated on the new alerts
--=============================================================
--interfaceAlertsTable  =
--{
--	["0"] = "234234",
--	["1"] = "2342342",
--	["2"] = "2342343",
--	["3"] = "2342344",
--	["4"] = "2342345",
--	["5"] = "2342346",
--	["6"] = "2342347",
--	["7"] = "1233",
--	["8"] = "12331",
--	["9"] = "12332",
--	["10"] = "12333",
--	["11"] = "12334",
--	["12"] = "12335",
--	["13"] = "12336",
--	["14"] = "12337",
--}

--Movies
--This table is created when user asks for count of theatres
--interfaceTheatreTable = {
--	["0"] = "3880",
--	["1"] = "3881",
--	["2"] = "3882",
--	["3"] = "3883",
--}
--
--This table will contain the list of movies for a specific theatre on 
--a per day basis
--interaceMovieListTablePresetTheatreTable =  
--{
--
--	--day
--	["0"] = { --list
--		  ["0"] = {
--			  	mid = "46038",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--		  ["1"] = {
--			  	mid = "46039",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--		  ["2"] = {
--			  	mid = "46040",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--		  ["3"] = {
--			  	mid = "46041",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--		  ["4"] = {
--			  	mid = "46042",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--
--
--		},
--}
--		  ["1"] = {
--			  	mid = "46039",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--		  ["2"] = {
--			  	mid = "46040",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--		  ["3"] = {
--			  	mid = "46041",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--		  ["4"] = {
--			  	mid = "46042",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--
--		},
--}
--	["1"] = {
--		  ["0"] = {
--			  	mid = "46038",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--		  ["1"] = {
--			  	mid = "46039",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--		  ["2"] = {
--			  	mid = "46040",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--		},
--	["2"] = {
--
--		  ["0"] = {
--			  	mid = "3882",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--			  },
--		},
--
--	["3"] = {
--		  ["0"] = {
--			  	mid = "3883",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--			  },
--		},
--
--}

--This table for list of theatres for a specific movie and 
--is created when user sets a specific movie
--interfaceTheatreListTable = {
--	--day
--	["0"] = { --list
--		  ["0"] = {
--			  	tid = "3880",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "0",
--			  },
--		  ["1"] = {
--			  	tid = "3881",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--		  ["2"] = {
--			  	tid = "3882",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--				active = "1", --if URL is present then active is 1.
--			  },
--
--		},
--	["1"] = {
--		  ["0"] = {
--			  	tid = "3880",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--			  },
--		},
--	["2"] = {
--		  ["0"] = {
--			  	tid = "3882",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--			  },
--		},
--	["3"] = {
--		  ["0"] = {
--			  	tid = "3883",
--		                timeSummary = "10.15AM, 10.20AM, 12.00PM",
--			  },
--		},
--
--}

--This table is created when user requests for a list of movies on a pre-selected
--theatre for a specific day
--interfaceMovieListTable = {
--	["0"] = "46038",
--	["1"] = "46039",
----	["2"] = "46040",
--}

--This table is created when user sets a theatre and the movie is already selected
--interfaceMovieTimeURLTable = {
--	--day
--	["0"] = { --time
--		  ["0"] = {
--			  	time = "10.15AM",
--		  		url = "",
--			  },
--		  ["1"] = {
--			  	time = "1.15AM",
--		  		url = "",
--			  },
--		  ["2"] = {
--			  	time = "2.15AM",
--		  		url = "",
--			  },
--		  ["3"] = {
--			  	time = "11.15AM",
--		  		url = "",
--			  },
--
--	      },
--	["1"] = {
--		  ["0"] = {
--			  	time = "10.15AM",
--		  		url = "",
--			  },
--		},
--	["2"] = {
--		  ["0"] = {
--			  	time = "10.15AM",
--		  		url = "",
--			  },
--		},
--	["3"] = {
--		  ["0"] = {
--			  	time = "10.15AM",
--		  		url = "",
--			  },
--		},
--}

--interfaceMoneyTable = {
--
--	["0"] = "DOW",
--	["1"] = "NASDAQ",
--	["2"] = "SnP500",
--	["3"] = "1001",
--	["4"] = "1002",
--	["5"] = "1003",
--	["6"] = "1004",
--}

interfaceSportsStandingsTable = {
	["0"] = "DOW",
	["1"] = "NASDAQ",
	["2"] = "SnP500",
}

--interfacePresetEventsTable = {
--	
--	["category"] = "",
--
--	["channel"] = "",
--
--	["city"] = "1234",
--
--	["sport"] = "NFL",
--
--	["team"] = "NFL",
--
--	["table"] = "",
--
--	["theatre"] = "",
--
--	["movie"] = "",
--
--	["purchasemovie"] = "",
--
--	["updatechannel"] = "",
--}
